package com.kingdee.eas.custom.ats;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.ats.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class AtsLeaveDetailSameFacade extends AbstractBizCtrl implements IAtsLeaveDetailSameFacade
{
    public AtsLeaveDetailSameFacade()
    {
        super();
        registerInterface(IAtsLeaveDetailSameFacade.class, this);
    }
    public AtsLeaveDetailSameFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IAtsLeaveDetailSameFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6DE731BB");
    }
    private AtsLeaveDetailSameFacadeController getController() throws BOSException
    {
        return (AtsLeaveDetailSameFacadeController)getBizController();
    }
    /**
     *repairData-User defined method
     */
    public void repairData() throws BOSException
    {
        try {
            getController().repairData(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}